[josm-dev] WMSPlugin Update

Ian Dees ian.dees at gmail.com
Wed Sep 1 17:46:22 BST 2010


2010/9/1 Iván Sánchez Ortega <ivan at sanchezortega.es>

> El día Wednesday 01 September 2010 18:25:51, Dirk Stöcker dijo:
> > No it uses EPSG:4326 when Mercator is selected. The distortion resulting
> > from that is very low due to the tile mechanism and working at high zoom
> > levels.
> >
> > This "silently assume Mercator is EPSG:4326" should also exist in the
> > future (except the WMS server has Mercator support, which is ignored ATM
> > - very few have).
>
> If I've understood the code correctly, this is done in
>
> http://trac.openstreetmap.org/browser/applications/editors/josm/plugins/wmsplugin/src/wmsplugin/WMSGrabber.java,
> lines 71-83
>
> Please please please tell me that won't be broken with the update :-)
>
>
Don't worry, I'm only modifying the code that shows the "Add Layer" dialog
in Preferences :) Other code remains untouched.

I just wanted to make sure that my new GetCapabilities-based layer list (not
JOSM's layer list) would do the right thing when deciding whether or not to
warn the user about projection incompatibilities.


More information about the josm-dev mailing list